#include "../include/Segment.h"

namespace environment {
namespace data {
  
  bool Segment::test (std::string name)
  {
    return (this->name == name);
  }
  
  bool Segment::test (uint32_t address, uint32_t size)
  {
    bool res = (((address     ) >= (this->base           )) and
		((address+size) <= (this->base+this->size)));
    
    return res;
  }
  
};
};
